import 'package:flutter/material.dart';
import 'package:whatsapp_launch/whatsapp_launch.dart';

void main() => runApp(new MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => new _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  initState() {
    super.initState();
  }

  void whatsAppOpen() async {
    bool whatsapp = await WhatsappLaunch.hasApp(name: "whatsapp");

    if (whatsapp) {
      await WhatsappLaunch.launchWathsApp(
          phone: "5534992016545", message: "Hello");
    } else {
      print("Whatsapp não instalado");
    }
  }

  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      home: new Scaffold(
        appBar: new AppBar(
          title: new Text('Plugin example app'),
        ),
        body: Center(
            child: FlatButton(
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              Text(
                "Whatsapp",
              )
            ],
          ),
          onPressed: () {
            whatsAppOpen();
          },
        )),
      ),
    );
  }
}
